# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2018-05-03 12:51
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import processlib.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityInstance',
            fields=[
                ('status', models.CharField(choices=[('instantiated', 'instantiated'), ('scheduled', 'scheduled'), ('started', 'started'), ('canceled', 'canceled'), ('done', 'done'), ('error', 'error')], default='instantiated', max_length=16)),
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('activity_name', models.CharField(max_length=255)),
                ('instantiated_at', models.DateTimeField(auto_now_add=True)),
                ('scheduled_at', models.DateTimeField(null=True)),
                ('started_at', models.DateTimeField(null=True)),
                ('finished_at', models.DateTimeField(null=True)),
                ('assigned_group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='auth.Group')),
                ('assigned_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('predecessors', models.ManyToManyField(related_name='successors', to='processlib.ActivityInstance')),
            ],
        ),
        migrations.CreateModel(
            name='Process',
            fields=[
                ('status', models.CharField(choices=[('started', 'started'), ('canceled', 'canceled'), ('done', 'done')], default='started', max_length=16)),
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('flow_label', models.CharField(max_length=255, validators=[processlib.models.validate_flow_label])),
                ('started_at', models.DateTimeField(blank=True, null=True)),
                ('finished_at', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Process',
                'ordering': ('-finished_at', '-started_at'),
            },
        ),
        migrations.AddField(
            model_name='activityinstance',
            name='process',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='_activity_instances', to='processlib.Process'),
        ),
    ]
